Bug 624382

Summary: [zh_TW] add more ibus-table tables
Product: [Fedora] Fedora Reporter: Hawk <hawk0115>
Component: ibus-table-chineseAssignee: Ding-Yi Chen <dchen>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: chouy, dchen, hsum, i18n-bugs, kent.neo, me, mfabian, shawn.p.huang, tagoh
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hawk 2010-08-16 05:26:14 EDT
Description of problem:
We are a group of f12 users who uses ibus in Taiwan. We see the convenience
and stability ibus can bring on. But some major and commonly used IM in Taiwan
(and the traditional zh circle) are missing. It would seem to more or less
stop users from benefiting from ibus.

Our suggestion: A few commonly used IM could be added in ibus. They
are Dayi (大易), Zhuyin (注音), and Simplified Cangjie (速成), Array30 (行列30),  etc.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hawk 2010-08-17 22:20:30 EDT
We use only smart  Zhuyin right now.
Comment 2 Jens Petersen 2010-09-01 03:17:49 EDT
> Dayi (大易), Zhuyin (注音), and Simplified Cangjie (速成), Array30 (行列30)

Erm, there is ibus-table-quick and ibus-table-array30 in F12.

I think ibus-chewing has some support for Zhuyin?

Perhaps we need a Dayi table?
Comment 3 Hawk 2010-09-01 05:13:47 EDT
Dear Jens Petersen

I installed ibus-table-array30 and tried it.It is ok!

I installed ibus-table-quick and tried out for a bit. Two problems are found:

1) Positions of candidates are messed up or different from those in scim or
Windows.
2) Only 6 candidates pop up each time. But it should be 9 of them. 

thanks.
Comment 4 Martin Hsu 2010-09-01 23:54:17 EDT
Bugzilla just mailed me this.  Can someone translate what this means into plain English?  I was allowed to use votes I didn't have?  Thanks.


"Some or all of your votes have been removed from bug 624382.

You had 70 votes on this bug, but 70 have been removed.

You have no more votes remaining on this bug.

Reason:
 The rules for voting on this product has changed; you had
 too many total votes, so all votes have been removed. "
Comment 5 Ding-Yi Chen 2010-09-13 23:17:57 EDT
I will merge Cangjie (including variants) , array30, easy(輕鬆), wubi, and others in ibus-table-chinese.
Maybe even Boshami, since it's patient has expired.

Regarding Dayi and Plain Zhuyin:
Dayi does grant usage to various organizations, however, it does not clearly stated that we can distribute it without restriction, which means we cannot safely deliver it with Fedora.
I've mailed to Dayi about this issue, but they did not reply yet.

In terms of plain Zhuyin support, I did implemented an IM called ibus-table-zhuyin that use ibus-table, but its not really usable without End key support#,  which has not implemented in ibus-table mainstream.

# End key support is you can specified the end-of-character, like the tone key in zhuyin. Without that it will collide with candidate selection keys.

For example, when typing ㄓ4, 
With End key support: show the candidates for ㄓ4
Without End key support: commit 4th candidate of ㄓ

I do plan for a ibus-table revision, but I cannot guarantee date.
Comment 6 Hawk 2010-09-15 22:38:07 EDT
What a good news! 
We'll keep on testing/using ibus in the future. 
Thank you!
Comment 7 Ding-Yi Chen 2010-11-28 20:30:54 EST
I've made an audit of Chinese table input-methods in http://code.google.com/p/ibus/wiki/ChineseTableLicenseAuditing

Refer or comment on the table for what can be packed and what cannot.
Please inform us any freely redistributable tables that're not in the list.
Comment 8 Hawk 2010-11-29 22:52:06 EST
Thank you for putting efforts in ibus!
I'm sure it is going to benefit many users like us :)


I'd like to give some feedback on "chewing" and "zhuyin" IM:

1) chewing has something called "standard chewing mode" (標準注音模式) which
has no end-key problem. Is it possible for zhuyin to adopt that?

2) There's a problem in latest chewing
(ibus-chewing-1.3.7.20100910-1.fc12.i686). After inputted characters, same
characters will be pasted again if one moves back and forth between windows.
Although this problem could be avoided by hitting "Enter" twice, it creates
new lines and still bugs users. Is there any way to solve this?

Thank you very much!
Comment 9 Ding-Yi Chen 2010-12-01 01:34:44 EST
Without endkey support in ibus-table, Zhuyin won't work.
for that part, I'll work with ibus-table upstream.


Regarding the ibus-chewing bug, I will try to work on that as well.
Comment 10 Hawk 2010-12-09 21:29:06 EST
Beside hitting Enter, one can also hit Esc or close ibus to avoid characters
being pasted around when moving between windows.
Comment 11 Hawk 2011-05-10 06:07:04 EDT
ibus has been the default IM engine of fedora since f10. As both scim and ibus
users, we found that ibus is much more stable than scim, except that a few
Traditional Chinese IM are missing. Therefore, we look forward to continuous
improvements in ibus and that it can really replace scim in the near future.

In f12, we had some headachy problems and they are still not fixed in
f14. As f15 is releasing soon, we wonder if those problems could be fixed. If
they could not, we really hope they can be listed in f16's development schedule.

Traditional Chinese IM is like our arms and legs. Below I summarize the
problems we found again. Please let us know if anything is not clear and we'd
be very glad to help:

*********
Chewing
*********
- Version: ibus-chewing-1.3.9.2-1.fc14.i686
- Problem:
 1) Inputted characters will be pasted around when moving between windows.
     Although it could be avoided by hitting "Enter" twice or hitting Esc
     or closing ibus, it creates new lines and bugs users.

 2) Highlighted characters will be cropped and gone when moving between
     windows.
     
 3) Unlike most IM in ibus, hitting "shift" in Chewing won't switch
     between Chinese and English. Can it be improved?

*******************
Cangjie and Quick
*******************
- Version: ibus-table-chinese-cangjie-1.3.0.20110114-1.fc14.noarch
         ibus-table-chinese-quick-1.3.0.20110114-1.fc14.noarch
- Problem: Only 6 candidates are shown in each window, which is against
 most users' habits. Can users change the number of candidates to 10,
 just like how Chewing allows users to do?

******
Dayi
******
- Problem: still missing in ibus

Thank you very much!!
Comment 12 Hawk 2011-05-12 03:54:21 EDT
Two more problems found in Chewing:

1) After typing some keys, a candidate is usually shown and underscored. If
Enter is pressed, the candidate is chosen and the character is inputted
successfully. But if Enter on the "number keyboard" is pressed, it creates a
new line and the candidate is still underscored (waiting to be chosen).

2) Another user who uses "Plain Zhuyin" under Chewing tried to reproduce the
above problem. ibus crashed with the error message below:

 ibus-Chewing 當機
 版本: ibus-chewing-1.3.9.2-1.fc14
 錯誤原因:Process /usr/libexec/ibus-engine-chewing was killed by signal 11
(SIGSEGV)
Comment 13 Akira TAGOH 2011-06-12 23:14:07 EDT
Hawk, please file a separate bug for ibus-chewing.

FWIW I'm moving this to rawhide again with FutureFeature tag because it sounds like a feature addition and it should be done in rawhide first but not in updates.
Comment 14 Hawk 2011-06-13 22:49:10 EDT
Dear Akira TAGOH

I've moved ibus-chewing problem to a new page.
https://bugzilla.redhat.com/show_bug.cgi?id=713033

thanks.
Comment 15 Ding-Yi Chen 2011-09-30 03:09:00 EDT
Dear Hawk,

Just wondering beside what ibus-table-chinese current has (detailed list is at:
https://github.com/definite/ibus-table-chinese), do you have any other freely distributed Chinese input methods to recommend? 

I will add those if the license says we are free to distribute it.


Regards,
Ding-Yi Chen
Comment 16 Hawk 2011-10-11 22:23:24 EDT
Dear Ding-Yi Chen

Thank you for developing ibus and paying attention to users' needs. Below are a few
missing but common ones (not sure if they are free though). They should bring some
convenience to ibus users:

- 詞音 (Bimsphone?)
- 注音 (Zhuyin) -- be independent from 新酷音 (Chewing)
- 內碼

Thank you very much!
Comment 17 Mike FABIAN 2016-05-25 03:21:52 EDT
(In reply to Hawk from comment #3)
> Dear Jens Petersen
>
> I installed ibus-table-quick and tried out for a bit. Two problems are found:
> 
> 1) Positions of candidates are messed up or different from those in scim or
> Windows.

I think the positions are the same as on windows in recent ibus-table versions because
they are ordered in Big5 order for the engines 'cangjie3', 'cangjie5', 'cangjie-big', 'quick-classic', 'quick3', and 'quick5.

> 2) Only 6 candidates pop up each time. But it should be 9 of them. 

Current ibus-table can display up to 10 candidates (how many can be chosen
in the setup tool).